CWLTEST(1)

NAME
cwltest - manual page for cwltest 2.6.20251216093331

DESCRIPTION
usage: cwltest [-h] --test TEST [--basedir BASEDIR] [--baseuri BASEURI] [-l]

    [-n N] [-s S] [-N N] [-S S] [--tool TOOL] [--only-tools] [--tags TAGS] [--exclude-tags EXCLUDE_TAGS] [--show-tags] [--junit-xml JUNIT_XML] [--junit-verbose] [--test-arg cache==--cache-dir] [-j J] [--verbose] [--classname CLASSNAME] [--timeout TIMEOUT] [--badgedir BADGEDIR] [--version] ...

Common Workflow Language testing framework

  positional arguments:

args
    arguments to pass first to tool runner

  options:

-h, --help
    show this help message and exit

--test TEST
    YAML file describing test cases

--basedir BASEDIR
    Basedir to use for tests

--baseuri BASEURI
    Base URI to use links in the report

-l  List tests then exit

-n N
    Run specific tests, format is 1,3-6,9

-s S
    Run specific tests using their short names separated by comma

-N N
    Exclude specific tests by number, format is 1,3-6,9

-S S
    Exclude specific tests by short names separated by comma

--tool TOOL
    CWL runner executable to use (default 'cwl-runner'

--only-tools
    Only test CommandLineTools

--tags TAGS
    Tags to be tested

--exclude-tags EXCLUDE_TAGS
    Tags not to be tested

--show-tags
    Show all Tags.

--junit-xml JUNIT_XML
    Path to JUnit xml file

--junit-verbose
    Store more verbose output to JUnit XML file by not passing '--quiet' to the CWL runner.

--test-arg cache==--cache-dir
    Additional argument given in test cases and required prefix for tool runner.

-j J
    Specifies the number of tests to run simultaneously (defaults to one).

--verbose
    More verbose output during test run.

--classname CLASSNAME
    Specify classname for the Test Suite.

--timeout TIMEOUT
    Time of execution in seconds after which the test will be skipped. Defaults to 600 seconds (10.0 minutes).

--badgedir BADGEDIR
    Create JSON badges, one for each tag (plus a computed 'all' tag) and store them in this directory.

--version
    show program's version number and exit